<?php

ViewResponse::getInstance()->setMethodAjax();
/*****************************************/
$o_ObjectBean = new MercadoBean();


if(myUser::getUser()->getIdPadre() == "1" || myUser::getUser()->getRoleId() == "sys.ope"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }elseif(myUser::getUser()->getRoleId() == "sys.res"){
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	$o_SucursalMercadoBean = new SucursalMercadoBean();
	if(is_object($a_o_sucursal[0])){
		echo $a_o_sucursal[0]->getIdSucursal()."*-*-*-*-*-*";
		$o_SucursalMercadoBean->setIdSucursal($a_o_sucursal[0]->getIdSucursal());
		$o_SucursalMercadoBL = new SucursalMercadoBL();
		$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
		if(is_array($a_o_sucursalmercado)){
			foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
				$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
			}
		}
	}else{
		$a_IdMercados[] = '0';
	}
	$o_ObjectBean->setIdMercados($a_IdMercados);
}
	


if($IdMercado){
  if($IdMercado   != ""){ $o_ObjectBean->setIdMercado($IdMercado); }
}else{
  if($Descripcion   !=""){ $o_ObjectBean->setDescripcion($Descripcion); }
  if($cboEstado    !=""){ $o_ObjectBean->setEstado($cboEstado); } 
}

$o_class = new MercadoBL();
$a_ObjectBean = $o_class->busquedaMercado($o_ObjectBean);

/*****************************************/

$pdf=new FPDF();
$pdf->AliasNbPages();
$pdf->AddPage();

define("POS_IZQ", 5);

/*iniciop titulo*/
$pdf->SetFont('Arial','B',13);
$pdf->SetXY(POS_IZQ,10);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(250,4,'Listado de Mercados',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('Arial','B',7);
$pdf->SetXY(POS_IZQ,20);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(10,4,'Nro',0,0,'L',1);
$pdf->Cell(40,4,'Sucursal',0,0,'L',1);
$pdf->Cell(15,4,'Estado',0,0,'L',1);
$pdf->Cell(70,4,'Usu.Crea',0,0,'L',1);

//$pdf->Cell(15,7,'Estado',0,0,'L',1);
//$pdf->Cell(20,7,'Usr.Ult.Act.',0,0,'L',1);
//$pdf->Cell(10,7,'Fec.Ult.Act.',0,0,'L',1);
/*fin de cabecera*/

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('Arial','B',7);


if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  
    if($count==55){
      $pdf->AddPage();
      $pos   = 10;
      $count = -9;
    }
    if($o_objBean->getEstado() == "A") $estado = "Activo";else $estado = "Inactivo";
    $pdf->SetXY(POS_IZQ,$pos);
    //$pdf->SetFillColor(236,235,236);
    $pdf->Cell(10,4,($iKey+1),0,0,'L',1);
    $pdf->Cell(40,4,$o_objBean->getDescripcion(),0,0,'L',1);
    $pdf->Cell(15,4,$estado,0,0,'L',1);
    $pdf->Cell(70,4,$o_objBean->getUsuarioCreacion(),0,0,'L',1);
     
   
       
    $pos=$pos+4;
    $count++;
  
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(250,4,"No hay registros.",0,0,'L',1);
  
}

$pdf->Output();

?>